QATZIP-TEST(1)

NAME
qatzip-test - test app for compression or decompression function and perf with qat acceleration

SYNOPSIS
qatzip-test [ -m:t:A:C:D:F:L:T:i:l:e:s:r:B:O:S:P:M:b:p:g:vh ] [ name ... ]

DESCRIPTION
QATzip is a user space library which builds on top of the Intel QuickAssist Technology user space library, to provide extended accelerated compression and decompression services by offloading the actual compression and decompression request(s) to the Intel Chipset Series. qatzip-test is the test tool for validating QATzip user space library's functional and performance. It could construct different testing scenarios by combining various software selectable parameters, then Capture and analyze performance data The parameters include different compression data formats, block size, hw buffer size, test threads and so on... qatzip-test tool is design to take full advantage of the performance provided by Intel&reg; QuickAssist Technology.

OPTIONS

-m  set test mode for different function of qatzip
        1 test memcpy feature
        2 test Memory
        3 test comp/decomp by default parameters
        4 test comp/decomp by configurable parameters
        5 test comp/decomp by format parameters
        test set default configurable parameters

-i  input source file, default by random generate data

-t  maximum forks permitted in the current thread

-l  Test case loop count, default is 2

-v  verify, disabled by default

-e  enable/disable QAT HW. enabled by default

-s  enable/disable QAT session setup, enabled by default

-A  set compression algorithm, deflate/lz4/lz4s

-B  enable/disable QATzip sw fallback

-C  set HW buffer size -b set API source block size

-D  set compression or decompression, comp | decomp | both

-O  set data format, deflate | gzip | gzipext | deflate_4B | lz4 | lz4s

-T  set huffman tree type, static | dynamic

COPYRIGHT
################################################################
#   BSD LICENSE
#
#   Copyright(c) 2007-2026 Intel Corporation. All rights reserved.
#   All rights reserved.
#
#   Redistribution and use in source and binary forms, with or without
#   modification, are permitted provided that the following conditions
#   are met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in
#       the documentation and/or other materials provided with the
#       distribution.
#     * Neither the name of Intel Corporation nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
#   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#   A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#   OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#   DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#   THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#   OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
################################################################